<li class="printer-listitem nopadding">

  <!--when 'printer' is defined show this-->
  <a ng-show="printer">
    <div class="printer-object" ng-class="printer.statusClass"><span class="icon icon-3dprinter"></span></div>
    <H5 class="subheader">
      <span class="printercustomname">{{printer.customName}}</span>
      <span class="printername">{{printer.name}}</span>
      <span class="printerstatus">({{printer.statusDescription}})</span><br>
      <span class="networkname">{{printer.network}}</span>
      <span class="printerip">{{printer.root.networkAddress.address}}</span>
      <span class="printerip">{{printer.installed}}</span>
    </H5>
  </a>

  <!--when 'printer' is undefined show this-->
  <a ng-hide="printer" class="new-printer-link">
    <p><em><span ng-transclude/></em></p>
  </a>

</li>